<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title = 'Добавление товара';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}
echo '<div class="title">'.$title.'</div>';
$_GET['id']=abs(intval($_GET['id']));
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"))==0){
	echo err($title, 'Папки не существует!');
	require_once ('../system/footer.php'); exit;
}
if($user['wp']== 0){
	echo err($title, 'Подтвердите wmid');
	require_once ('../system/footer.php'); exit;
}
if(isset($_POST['ok'])){
	$_POST['name']=strong($_POST['name']);
	$_POST['description']=strong($_POST['description']);
	$_POST['price']=abs(intval($_POST['price']));
	$_POST['amount']=abs(intval($_POST['amount']));
	$maxsizeg=50;
	$maxsizes=3;
	$sizeg=$_FILES['goods']['size'];
	$sizes=$_FILES['scr']['size']; 
	$gtype = array ( 'zip', 'rar', '7z' ); 
	$upgtype = substr($_FILES['goods']['name'],  strrpos( $_FILES['goods']['name'], ".")+1); 
	$stype = array ( 'jpeg', 'jpg', 'png', 'gif' ); 
	$upstype = substr($_FILES['scr']['name'],  strrpos( $_FILES['scr']['name'], ".")+1);
	$section=3;
	$kat=9;
	if(empty($_POST['name'])){
		$error='Введите название товара!';
	}elseif(mb_strlen($_POST['name'])<3 or mb_strlen($_POST['name'])>30){
		$error='Название товара должно быть не менее 3-х символов и не более 30!';
	}elseif(empty($_POST['description'])){
		$error='Введите описание товара!';
	}elseif(mb_strlen($_POST['description'])<10 or mb_strlen($_POST['description'])>4000){
		$error='Описание товара должно быть не менее 10 символов и не более 4000!';
	}elseif($_POST['price']<=0){
		$error='Введите цену более нуля';
	}elseif($_POST['amount']<=0){
		$error='Введите кол-во копий более нуля';
	}elseif(!@file_exists($_FILES['goods']['tmp_name'])){
		$error='Выберите файл!';
	}elseif($sizeg>(1048576*$maxsizeg)){
		$error='Максимальный размер товара - '.$maxsizeg.' mb';
	}elseif($sizes>(1048576*$maxsizes)){
		$error='Максимальный размер скриншота - '.$maxsizes.' mb';
	}elseif(!in_array($upgtype,$gtype)){
		$error='Допустимые форматы товара - zip, rar, 7z';
	}elseif(@file_exists($_FILES['scr']['tmp_name'])){
		if(!in_array($upstype,$stype)){
		$error='Допустимые форматы скриншота - jpeg, jpg, png, gif';
	}
	}
	if(isset($error)){
		echo '<div class="podmenu"><center><b>'.$error.'</b></center></div>';
		require_once ('../system/footer.php');
		exit();
	}
	$gload = $_SERVER['HTTP_HOST'].'_'.time().'_'.rand(1234,5678).'_'.$_FILES['goods']['name']; 
	$sload = $_SERVER['HTTP_HOST'].'_'.time().'_'.rand(1234,5678).'_'.$_FILES['scr']['name']; 
	mysql_query("INSERT INTO `shop_goods` SET `name`='".$_POST['name']."', `description`='".$_POST['description']."', `price`='".$_POST['price']."', `amount`='".$_POST['amount']."', `goods`='".$gload."', `dir`='".$_GET['id']."', `resale`='0', `time`='".time()."', `id_us`='".$user['id']."'");
	$gid=mysql_insert_id();
	move_uploaded_file($_FILES['goods']['tmp_name'], "../files/m/goods/".$gload.""); 
	if(@file_exists($_FILES['scr']['tmp_name'])){
		move_uploaded_file($_FILES['scr']['tmp_name'], "../files/m/scr/".$sload.""); 
		mysql_query("INSERT INTO `shop_screen` SET `img`='".$sload."', `goods`='".$gid."'");
	}
	if(isset($_POST['forum'])){
		mysql_query("INSERT INTO `forum_tema` SET `razdel`='".$section."', `kat`='".$kat."', `text`='".$_POST['description']." [url=".$HOME."/m/tovar.php?id=".$gid."]Страница в магазине[/url]', `name`='Продажа ".$_POST['name']."', `us`='".$user['id']."', `time`='".time()."', `status`='0', `up`='".time()."'");
		$tid=mysql_insert_id();
		$t=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id`='".$tid."'"));
		mysql_query("INSERT INTO `forum_post` SET `razdel`='".$t['razdel']."', `kat`='".$t['kat']."', `tema`='".$t['id']."', `text`='".$t['text']."', `us`='".$t['us']."', `time`='".$t['time']."'");
	}
	if(isset($_POST['resale'])){
		mysql_query("UPDATE `shop_goods` SET `resale`='1' WHERE `id`='".$gid."'");
	}
	if(mysql_num_rows(mysql_query("SELECT * FROM `shop_sub` WHERE `id_seller`='".$user['id']."'"))!=0){
		$lk=mysql_query("SELECT * FROM `shop_sub` WHERE `id_seller`='".$user['id']."'");
		while($df=mysql_fetch_assoc($lk)){
			mysql_query("INSERT INTO `lenta` SET `text`='выложил новый [url=".$HOME."/m/tovar.php?id=".$gid."]товар[/url]', `kto`='".$user['id']."', `komy`='".$df['id_us']."', `time`='".time()."', `readlen`='0'");
		}
	}
	header('location:/m/tovar.php?id='.$gid);
}
echo '<div class="podmenu">
<form action="" method="POST" enctype="multipart/form-data">
Название<b><font color="red">*</font></b>:<br/>
<input type="text" name="name" placeholder="Введите название"><br/>
Описание<b><font color="red">*</font></b>:<br/>
<textarea name="description" placeholder="Введите описание"></textarea><br/>
Цена<b><font color="red">*</font></b>:<br/>
<input type="number" name="price" placeholder="Укажите цену"><br/>
Кол-во копий<b><font color="red">*</font></b>:<br/>
<input type="number" name="amount" placeholder="Укажите кол-во копий"><br/>
Товар<b><font color="red">*</font></b>:<br/>
<input type="file" name="goods"><br/>
Скриншот:<b><font color="red">*</font></b><br/>
<input type="file" name="scr"><br/>
Дополнительно:<br/>
<input type="checkbox" name="forum" value="a2">Создать тему на форуме<br/>
<input type="checkbox" name="resale" value="a1">Права на перепродажу<br/>
<input type="submit" name="ok" value="Добавить">
</form>
</div>';
echo '<div class="links"><a href="/m">Магазин</a></div>';
require_once ('../system/footer.php');
?>